- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::index::bintree::NodeBase Class Reference

The base class for nodes in a Bintree. More...

`#include <NodeBase.h>`

Inheritance diagram for geos::index::bintree::NodeBase:

List of all members.

## Public Member Functions
virtual std::vector< void * > * | getItems ()
virtual void | add (void *item)
virtual std::vector< void * > * | addAllItems (std::vector< void * > *newItems)
virtual std::vector< void * > * | addAllItemsFromOverlapping (Interval *interval, std::vector< void * > *resultItems)
virtual int | depth ()
virtual int | size ()
virtual int | nodeSize ()
## Static Public Member Functions
static int | getSubnodeIndex (Interval *interval, double centre)
## Protected Member Functions
virtual bool | isSearchMatch (Interval *interval)=0
## Protected Attributes
std::vector< void * > * | items
Node * | subnode [2]

## Detailed Description

The base class for nodes in a Bintree.

## Member Data Documentation

Node* geos::index::bintree::NodeBase::subnode[2]`[protected]`

subnodes are numbered as follows:

0 | 1

The documentation for this class was generated from the following file:

- bintree/NodeBase.h